import AppError from "../../errors/AppError";
import SchedulingNotify from "../../models/SchedulingNotify";

const ShowSchedulingNotifyService = async (id: string): Promise<SchedulingNotify> => {
    
    const schedulingNotify = await SchedulingNotify.findByPk(id);
  
    if (!schedulingNotify) {
      throw new AppError("ERR_NO_SCHEDULING_NOTIFY_FOUND", 404);
    }
  
    return schedulingNotify;
  };
  
  export default ShowSchedulingNotifyService;